%{!?ruby_sitearch: %define ruby_sitearch %(ruby -rrbconfig -e "puts Config::CONFIG['sitearchdir']")}

Name:           ruby-fam
Version:        0.2.0
Release:        3%{?dist}
Summary:        Gamin/FAM bindings for Ruby

Group:          Development/Languages
License:        BSD
URL:            http://www.pablotron.org/software/fam-ruby/
Source0:        http://www.pablotron.org/download/fam-ruby-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  ruby ruby-devel gamin-devel
Requires:       ruby(abi) = 1.8
Provides:       ruby(fam) = 0.1.4
Provides:       ruby(gamin) = 0.1.4

%description
FAM-Ruby is a Ruby interface to SGI's File Alteration Monitor
(http://oss.sgi.com/projects/fam/).  FAM allows you to monitor files and
directories for changes (file modification, creation, and removal) -- in
an event-driven manner.

%prep
%setup -q -n fam-ruby-%{version}
mv doc api

%build
export CFLAGS="$RPM_OPT_FLAGS"
ruby extconf.rb
make

%install
rm -rf $RPM_BUILD_ROOT
DESTDIR=$RPM_BUILD_ROOT make install
 
%check


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING README
%{ruby_sitearch}/fam.so
# Developer docs, really
%doc api event_codes.txt

%changelog
* Wed Jan 17 2007 David Lutterkort <dlutter@redhat.com> - 0.2.0-3
- Remove devel subpackage, put everything into one

* Wed Jan 17 2007 David Lutterkort <dlutter@redhat.com> - 0.2.0-2
- Remove gamin requirement, fix depedency of devel on main package

* Tue Dec  5 2006 David Lutterkort <dlutter@redhat.com> - 0.2.0-1
- Initial package

